%define major 4
%define libxpm %mklibname xpm %{major}
%define develxpm %mklibname -d xpm
%define staticdevelxpm %mklibname -d -s xpm

Name: libxpm
Summary:  X Pixmap Library
Version: 3.5.7
Release: %mkrel 4
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXpm-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

#-----------------------------------------------------------

%package -n %{libxpm}
Summary:  X Pixmap Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxpm}
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

#-----------------------------------------------------------

%package -n %{develxpm}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxpm} = %{version}
Requires: libx11-devel >= 1.0.0
Provides: libxpm-devel = %{version}-%{release}
Provides: xpm-devel = %{version}-%{release}
Obsoletes: %{libxpm}-devel

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develxpm}
Development files for %{name}

%pre -n %{develxpm}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develxpm}
%defattr(-,root,root)
%{_bindir}/cxpm
%{_bindir}/sxpm
%{_libdir}/libXpm.so
%{_libdir}/libXpm.la
%{_libdir}/pkgconfig/xpm.pc
%{_includedir}/X11/xpm.h
%{_mandir}/man1/*

#-----------------------------------------------------------

%package -n %{staticdevelxpm}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develxpm} >= %{version}
Provides: libxpm-static-devel = %{version}-%{release}
Provides: xpm-static-devel = %{version}-%{release}
Obsoletes: %{libxpm}-static-devel

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticdevelxpm}
Static development files for %{name}

%files -n %{staticdevelxpm}
%defattr(-,root,root)
%{_libdir}/libXpm.a

#-----------------------------------------------------------

%prep
%setup -q -n libXpm-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libxpm} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libxpm} -p /sbin/ldconfig
%endif

%files -n %{libxpm}
%defattr(-,root,root)
%{_libdir}/libXpm.so.%{major}*


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.5.7-4mdv2009.0
+ Revision: 223081
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 3.5.7-3mdv2008.1
+ Revision: 152806
- Update BuildRequires and rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.7-1mdv2008.0
+ Revision: 69338
- new release

* Sun Jul 15 2007 Olivier Thauvin <nanardon@mandriva.org> 3.5.6-2mdv2008.0
+ Revision: 52220
- fix requirements
- improve file list

* Thu Jul 12 2007 Funda Wang <fundawang@mandriva.org> 3.5.6-1mdv2008.0
+ Revision: 51494
- New version


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

